Open Bug 1422582 Opened 2 years ago Updated 2 days ago

Intermittent TEST-UNEXPECTED-TIMEOUT | dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Test timed out

Categories

(Core :: DOM: Core & HTML, defect, P5)

defect

Tracking

()

Tracking Status
firefox-esr68 --- disabled

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled])

Attachments

(1 file)

https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → INCOMPLETE
Recent log failure:

https://treeherder.mozilla.org/logviewer.html#?job_id=183733619&repo=autoland&lineNumber=2072 

[task 2018-06-19T02:47:22.235Z] 02:47:22  WARNING -  TEST-UNEXPECTED-TIMEOUT | dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Test timed out
[task 2018-06-19T02:47:22.239Z] 02:47:22     INFO -  TEST-INFO took 300000ms
[task 2018-06-19T02:47:22.239Z] 02:47:22     INFO -  >>>>>>>
[task 2018-06-19T02:47:22.240Z] 02:47:22     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2018-06-19T02:47:22.240Z] 02:47:22     INFO -  (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2018-06-19T02:47:22.241Z] 02:47:22     INFO -  (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2018-06-19T02:47:22.243Z] 02:47:22     INFO -  running event loop
[task 2018-06-19T02:47:22.244Z] 02:47:22     INFO -  "CONSOLE_MESSAGE: (info) No chrome package registered for chrome://branding/locale/brand.properties"
[task 2018-06-19T02:47:22.244Z] 02:47:22     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Starting loopOfferAnser
[task 2018-06-19T02:47:22.245Z] 02:47:22     INFO -  (xpcshell/head.js) | test loopOfferAnser pending (2)
[task 2018-06-19T02:47:22.245Z] 02:47:22     INFO -  (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2018-06-19T02:47:22.246Z] 02:47:22     INFO -  "CONSOLE_MESSAGE: (info) No chrome package registered for chrome://branding/locale/brand.properties"
[task 2018-06-19T02:47:22.246Z] 02:47:22     INFO -  PID 9770 | -*- PresentationControlService.js: PresentationControlService - handleCert
[task 2018-06-19T02:47:22.247Z] 02:47:22     INFO -  PID 9770 | -*- PresentationControlService.js: PresentationControlService - init server socket fail: [Exception... "Component returned failure code: 0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE) [nsITLSServerSocket.init]"  nsresult: "0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE)"  location: "JS frame :: jar:file:///builds/worker/workspace/build/application/firefox/omni.ja!/components/PresentationControlService.js :: _serverSocketInit :: line 97"  data: no]
[task 2018-06-19T02:47:22.248Z] 02:47:22     INFO -  PID 9770 | JavaScript error: /builds/worker/workspace/build/tests/xpcshell/head.js, line 219: uncaught exception: 2147500037
[task 2018-06-19T02:47:22.248Z] 02:47:22     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "uncaught exception: 2147500037" {file: "/builds/worker/workspace/build/tests/xpcshell/head.js" line: 219}]"
[task 2018-06-19T02:47:22.249Z] 02:47:22     INFO -  <<<<<<<
[task 2018-06-19T02:47:22.249Z] 02:47:22     INFO -  xpcshell return code: None
[task 2018-06-19T02:47:22.250Z] 02:47:22     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Process still running after test!
[task 2018-06-19T02:47:22.251Z] 02:47:22     INFO -  >>>>>>>
[task 2018-06-19T02:47:22.251Z] 02:47:22     INFO -  PID 9770 | ExceptionHandler::GenerateDump cloned child 9790
[task 2018-06-19T02:47:22.252Z] 02:47:22     INFO -  PID 9770 | ExceptionHandler::SendContinueSignalToChild sent continue signal to child
[task 2018-06-19T02:47:22.252Z] 02:47:22     INFO -  PID 9770 | ExceptionHandler::WaitForContinueSignal waiting for continue signal...
[task 2018-06-19T02:47:22.253Z] 02:47:22     INFO -  <<<<<<<
[task 2018-06-19T02:47:22.261Z] 02:47:22     INFO -  INFO | Result summary:
[task 2018-06-19T02:47:22.261Z] 02:47:22     INFO -  Failed to remove directory: /tmp/xpc-plugins-f07pSQ. Waiting.
[task 2018-06-19T02:47:22.262Z] 02:47:22     INFO -  INFO | Passed: 398
[task 2018-06-19T02:47:22.263Z] 02:47:22  WARNING -  INFO | Failed: 1
[task 2018-06-19T02:47:22.264Z] 02:47:22  WARNING -  One or more unittests failed.
[task 2018-06-19T02:47:22.265Z] 02:47:22     INFO -  INFO | Todo: 0
[task 2018-06-19T02:47:22.265Z] 02:47:22     INFO -  INFO | Retried: 2
[task 2018-06-19T02:47:22.266Z] 02:47:22     INFO -  SUITE-END | took 630s
[task 2018-06-19T02:47:22.267Z] 02:47:22     INFO -  Node moz-http2 server shutting down ...
[task 2018-06-19T02:47:22.308Z] 02:47:22    ERROR - Return code: 1
Status: RESOLVED → VERIFIED
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 2 years ago2 years ago
Resolution: --- → INCOMPLETE
This is still happening.

Recent failure: https://treeherder.mozilla.org/logviewer.html#?job_id=200810826&repo=mozilla-central&lineNumber=1444

[task 2018-09-21T18:48:01.834Z] 18:48:01     INFO -  TEST-START | dom/presentation/tests/xpcshell/test_tcp_control_channel.js
[task 2018-09-21T18:53:01.841Z] 18:53:01  WARNING -  TEST-UNEXPECTED-TIMEOUT | dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Test timed out
[task 2018-09-21T18:53:01.842Z] 18:53:01     INFO -  TEST-INFO took 300000ms
[task 2018-09-21T18:53:01.842Z] 18:53:01     INFO -  >>>>>>>
[task 2018-09-21T18:53:01.844Z] 18:53:01     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2018-09-21T18:53:01.845Z] 18:53:01     INFO -  (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2018-09-21T18:53:01.845Z] 18:53:01     INFO -  (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2018-09-21T18:53:01.846Z] 18:53:01     INFO -  running event loop
[task 2018-09-21T18:53:01.847Z] 18:53:01     INFO -  "CONSOLE_MESSAGE: (info) No chrome package registered for chrome://branding/locale/brand.properties"
[task 2018-09-21T18:53:01.849Z] 18:53:01     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Starting loopOfferAnser
[task 2018-09-21T18:53:01.850Z] 18:53:01     INFO -  (xpcshell/head.js) | test loopOfferAnser pending (2)
[task 2018-09-21T18:53:01.851Z] 18:53:01     INFO -  (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2018-09-21T18:53:01.852Z] 18:53:01     INFO -  PID 2874 | -*- PresentationControlService.js: PresentationControlService - handleCert
[task 2018-09-21T18:53:01.853Z] 18:53:01     INFO -  PID 2874 | -*- PresentationControlService.js: PresentationControlService - init server socket fail: [Exception... "Component returned failure code: 0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE) [nsITLSServerSocket.init]"  nsresult: "0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE)"  location: "JS frame :: jar:file:///builds/worker/workspace/build/application/firefox/omni.ja!/components/PresentationControlService.js :: _serverSocketInit :: line 89"  data: no]
[task 2018-09-21T18:53:01.853Z] 18:53:01     INFO -  PID 2874 | JavaScript error: /builds/worker/workspace/build/tests/xpcshell/head.js, line 219: uncaught exception: 2147500037
[task 2018-09-21T18:53:01.854Z] 18:53:01     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "uncaught exception: 2147500037" {file: "/builds/worker/workspace/build/tests/xpcshell/head.js" line: 219}]"
[task 2018-09-21T18:53:01.854Z] 18:53:01     INFO -  <<<<<<<
[task 2018-09-21T18:53:01.855Z] 18:53:01     INFO -  xpcshell return code: None
[task 2018-09-21T18:53:01.855Z] 18:53:01     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Process still running after test!
[task 2018-09-21T18:53:01.856Z] 18:53:01  WARNING -  TEST-UNEXPECTED-FAIL | Received SIGINT (control-C), so stopped run. (Use --keep-going to keep running tests after killing one with SIGINT)
[task 2018-09-21T18:53:01.857Z] 18:53:01     INFO -  INFO | Result summary:
[task 2018-09-21T18:53:01.858Z] 18:53:01     INFO -  INFO | Passed: 75
[task 2018-09-21T18:53:01.858Z] 18:53:01  WARNING -  INFO | Failed: 1
[task 2018-09-21T18:53:01.865Z] 18:53:01  WARNING -  One or more unittests failed.
[task 2018-09-21T18:53:01.866Z] 18:53:01     INFO -  INFO | Todo: 0
[task 2018-09-21T18:53:01.867Z] 18:53:01     INFO -  INFO | Retried: 0
[task 2018-09-21T18:53:01.868Z] 18:53:01     INFO -  SUITE-END | took 391s
[task 2018-09-21T18:53:01.869Z] 18:53:01     INFO -  Node moz-http2 server shutting down ...
[task 2018-09-21T18:53:01.933Z] 18:53:01    ERROR - Return code: 1
[task 2018-09-21T18:53:01.934Z] 18:53:01     INFO - TinderboxPrint: xpcshell-xpcshell-coverage<br/>75/<em class="testfail">1</em>/0
[task 2018-09-21T18:53:01.935Z] 18:53:01  WARNING - # TBPL FAILURE #
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 2 years ago1 year ago
Resolution: --- → INCOMPLETE
Component: DOM → DOM: Core & HTML
Status: REOPENED → RESOLVED
Closed: 1 year ago11 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 11 months ago8 months ago
Resolution: --- → INCOMPLETE

Recent failure log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=265077982&repo=autoland&lineNumber=2769

task 2019-09-05T05:05:17.673Z] 05:05:17 INFO - TEST-START | dom/presentation/tests/xpcshell/test_tcp_control_channel.js
[task 2019-09-05T05:10:17.678Z] 05:10:17 WARNING - TEST-UNEXPECTED-TIMEOUT | dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Test timed out
[task 2019-09-05T05:10:17.679Z] 05:10:17 INFO - TEST-INFO took 300000ms
[task 2019-09-05T05:10:17.679Z] 05:10:17 INFO - >>>>>>>
[task 2019-09-05T05:10:17.679Z] 05:10:17 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-09-05T05:10:17.679Z] 05:10:17 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-09-05T05:10:17.679Z] 05:10:17 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-09-05T05:10:17.680Z] 05:10:17 INFO - running event loop
[task 2019-09-05T05:10:17.680Z] 05:10:17 INFO - "CONSOLE_MESSAGE: (info) No chrome package registered for chrome://branding/locale/brand.properties"
[task 2019-09-05T05:10:17.681Z] 05:10:17 INFO - dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Starting loopOfferAnser
[task 2019-09-05T05:10:17.681Z] 05:10:17 INFO - (xpcshell/head.js) | test loopOfferAnser pending (2)
[task 2019-09-05T05:10:17.682Z] 05:10:17 INFO - (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2019-09-05T05:10:17.682Z] 05:10:17 INFO - PID 15814 | -- PresentationControlService.js: PresentationControlService - handleCert
[task 2019-09-05T05:10:17.682Z] 05:10:17 INFO - PID 15814 | -
- PresentationControlService.js: PresentationControlService - init server socket fail: [Exception... "Component returned failure code: 0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE) [nsITLSServerSocket.init]" nsresult: "0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE)" location: "JS frame :: resource://gre/modules/PresentationControlService.jsm :: _serverSocketInit :: line 101" data: no]
[task 2019-09-05T05:10:17.683Z] 05:10:17 INFO - PID 15814 | JavaScript error: /builds/worker/workspace/build/tests/xpcshell/head.js, line 246: uncaught exception: 2147500037
[task 2019-09-05T05:10:17.684Z] 05:10:17 INFO - "CONSOLE_MESSAGE: (error) [JavaScript Error: "uncaught exception: 2147500037" {file: "/builds/worker/workspace/build/tests/xpcshell/head.js" line: 246}]"
[task 2019-09-05T05:10:17.684Z] 05:10:17 INFO - <<<<<<<
[task 2019-09-05T05:10:17.684Z] 05:10:17 INFO - xpcshell return code: None
[task 2019-09-05T05:10:17.685Z] 05:10:17 INFO - dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Process still running after test!
[task 2019-09-05T05:10:17.685Z] 05:10:17 INFO - INFO | Result summary:
[task 2019-09-05T05:10:17.687Z] 05:10:17 INFO - INFO | Passed: 666
[task 2019-09-05T05:10:17.687Z] 05:10:17 WARNING - INFO | Failed: 1
[task 2019-09-05T05:10:17.688Z] 05:10:17 WARNING - One or more unittests failed.
[task 2019-09-05T05:10:17.688Z] 05:10:17 INFO - INFO | Todo: 0
[task 2019-09-05T05:10:17.689Z] 05:10:17 INFO - INFO | Retried: 2
[task 2019-09-05T05:10:17.689Z] 05:10:17 INFO - SUITE-END | took 662s
[task 2019-09-05T05:10:17.690Z] 05:10:17 INFO - Node moz-http2 server shutting down ...
[task 2019-09-05T05:10:17.691Z] 05:10:17 INFO - Process stderr
[task 2019-09-05T05:10:17.691Z] 05:10:17 INFO - (node:1055) ExperimentalWarning: The http2 module is an experimental API.
[task 2019-09-05T05:10:17.742Z] 05:10:17 ERROR - Return code: 1

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Test results for dom/presentation/tests/xpcshell/test_tcp_control_channel.js on mozilla-central,mozilla-inbound,autoland between 2019-10-01 and 2019-10-08
android-em-7-0-x86_64/debug-e10s: 6 failures ( 0 skipped) in 164 runs
android-em-7-0-x86_64/opt-e10s: 27 failures ( 0 skipped) in 269 runs

See Also: → 1580136, 1450502, 1584360
See Also: → 1594735

Recent failure:

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=275722360&repo=autoland&lineNumber=2663

[task 2019-11-12T02:13:22.329Z] 02:13:22     INFO -  TEST-START | dom/presentation/tests/xpcshell/test_tcp_control_channel.js
[task 2019-11-12T02:18:22.330Z] 02:18:22  WARNING -  TEST-UNEXPECTED-TIMEOUT | dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Test timed out
[task 2019-11-12T02:18:22.330Z] 02:18:22     INFO -  TEST-INFO took 300000ms
[task 2019-11-12T02:18:22.656Z] 02:18:22     INFO -  xpcshell return code: 143

https://firefoxci.taskcluster-artifacts.net/eTfF2Pw6QOOn2c5eHctyBA/0/public/test_info//logcat-emulator-5554.log

11-12 02:13:13.440 24077 24077 I Gecko   : {"action":"log","time":1573524793440,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"dom/presentation/tests/xpcshell/test_tcp_control_channel.js | Starting loopOfferAnser"}
11-12 02:13:13.440 24077 24077 I Gecko   : 
11-12 02:13:13.440 24077 24077 I Gecko   : {"action":"log","time":1573524793440,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"(xpcshell/head.js) | test loopOfferAnser pending (2)"}
11-12 02:13:13.440 24077 24077 I Gecko   : 
11-12 02:13:13.440 24077 24077 I Gecko   : {"action":"log","time":1573524793440,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"(xpcshell/head.js) | test run_next_test 0 finished (2)"}
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: PresentationControlService - handleCert
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: PresentationControlService - service start on port: 36888
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: PresentationControlService - connect to presentatorID
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: create TCPControlChannel for : sender
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - set listener: [xpconnect wrapped nsIPresentationControlChannelListener]
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onTransportStatus: 804b0003 with role: sender
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onTransportStatus: 804b000b with role: sender
11-12 02:13:13.510 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onTransportStatus: 804b0007 with role: sender
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: PresentationControlService - onSocketAccepted: 127.0.0.1:40372
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: PresentationControlService - responseSession to {"address":"127.0.0.1","port":40372,"certFingerprint":""}
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: create TCPControlChannel for : receiver
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - setSecurityObserver: [object Object]
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onTransportStatus: 804b0004 with role: sender
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - create pump with role: sender
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onOutputStreamReady
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - Send: {
11-12 02:13:13.520 24077 24077 I Gecko   :   "type": "connect",
11-12 02:13:13.520 24077 24077 I Gecko   :   "deviceId": "controllerID"
11-12 02:13:13.520 24077 24077 I Gecko   : }
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - Failed to send message: NS_ERROR_FAILURE
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onStartRequest with role: sender
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onStopRequest: undefined with role: sender
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onInputStreamReady
11-12 02:13:13.520 24077 24077 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onInputStreamReady error: 
11-12 02:17:49.420  1300  1313 I UsageStatsService: User[0] Flushing usage stats to disk

It seems to fail in different ways:

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=275716831&repo=autoland&lineNumber=2664

[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  /sdcard/tests/xpc/head.js:run:735
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  /sdcard/tests/xpc/head.js:_do_main:246
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  /sdcard/tests/xpc/head.js:_execute_test:573
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  -e:null:1
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  exiting test
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  NS_ERROR_ABORT:
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  _abort_failed_test@/sdcard/tests/xpc/head.js:791:20
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  do_report_result@/sdcard/tests/xpc/head.js:892:5
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  Assert<@/sdcard/tests/xpc/head.js:67:21
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  proto.report@resource://testing-common/Assert.jsm:233:10
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  proto.ok@resource://testing-common/Assert.jsm:259:10
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  oneMoreLoop@test_tcp_control_channel.js:482:12
[task 2019-11-12T01:40:34.955Z] 01:40:34     INFO -  _run_next_test@/sdcard/tests/xpc/head.js:1588:11
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  run@/sdcard/tests/xpc/head.js:735:9
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  _do_main@/sdcard/tests/xpc/head.js:246:6
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  _execute_test@/sdcard/tests/xpc/head.js:573:5
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  @-e:1:1
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  exiting test
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  (xpcshell/head.js) | test run_next_test 5 finished (2)
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "uncaught exception: 2147500037" {file: "test_tcp_control_channel.js" line: 480}]"
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | JavaScript error: test_tcp_control_channel.js, line 480: uncaught exception: 2147500037
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | -*- PresentationControlService.js: PresentationControlService - onStopListening: 2152398850
[task 2019-11-12T01:40:34.956Z] 01:40:34     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | -*- PresentationControlService.js: PresentationControlService - onStopListening: 2152398850
[task 2019-11-12T01:40:34.957Z] 01:40:34     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | -*- PresentationControlService.js: TCPControlChannel - onStopRequest: undefined with role: receiver
[task 2019-11-12T01:40:34.957Z] 01:40:34     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | -*- PresentationControlService.js: TCPControlChannel - onStopRequest: undefined with role: sender
[task 2019-11-12T01:40:34.957Z] 01:40:34     INFO -  dom/presentation/tests/xpcshell/test_tcp_control_channel.js | -*- PresentationControlService.js: TCPControlChannel - notify closed with role: sender
[task 2019-11-12T01:40:34.957Z] 01:40:34     INFO -  <<<<<<<

https://firefoxci.taskcluster-artifacts.net/H6wUTko0R8iPQK5SgcQEyQ/0/public/test_info//logcat-emulator-5554.log

11-12 01:40:23.860 24108 24108 I Gecko   : {"action":"log","time":1573522823860,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"(xpcshell/head.js) | test oneMoreLoop pending (2)"}
11-12 01:40:23.860 24108 24108 I Gecko   : -*- PresentationControlService.js: PresentationControlService - init server socket fail: [Exception... "Component returned failure code: 0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE) [nsIServerSocket.init]"  nsresult: "0x804b0036 (NS_ERROR_SOCKET_ADDRESS_IN_USE)"  location: "JS frame :: resource://gre/modules/PresentationControlService.jsm :: _serverSocketInit :: line 101"  data: no]
11-12 01:40:23.860 24108 24108 E GeckoConsole: [JavaScript Error: "uncaught exception: 2147500037" {file: "test_tcp_control_channel.js" line: 480}]
11-12 01:40:23.860 24108 24108 I Gecko   : 
11-12 01:40:23.860 24108 24108 I Gecko   : {"action":"test_status","time":1573522823860,"thread":null,"pid":null,"source":"xpcshell/head.js","test":"dom/presentation/tests/xpcshell/test_tcp_control_channel.js","subtest":"oneMoreLoop","status":"FAIL","expected":"PASS","message":"[oneMoreLoop : 482] TCP presentation init fail:[Exception... \"Failure'Failure' when calling method: [nsIPresentationControlService::startServer]\"  nsresult: \"0x80004005 (NS_ERROR_FAILURE)\"  location: \"JS frame :: test_tcp_control_channel.js :: oneMoreLoop :: line 480\"  data: no] - false == true","stack":"test_tcp_control_channel.js:oneMoreLoop:482\n/sdcard/tests/xpc/head.js:_run_next_test:1588\n/sdcard/tests/xpc/head.js:run:735\n/sdcard/tests/xpc/head.js:_do_main:246\n/sdcard/tests/xpc/head.js:_execute_test:573\n-e:null:1"}
11-12 01:40:23.860 24108 24108 I Gecko   : 
11-12 01:40:23.860 24108 24108 I Gecko   : {"action":"log","time":1573522823860,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"exiting test"}
11-12 01:40:23.860 24108 24108 I Gecko   : 
11-12 01:40:23.860 24108 24108 I Gecko   : {"action":"log","time":1573522823860,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"ERROR","message":"NS_ERROR_ABORT: ","extra":{"source_file":"","stack":"_abort_failed_test@/sdcard/tests/xpc/head.js:791:20\ndo_report_result@/sdcard/tests/xpc/head.js:892:5\nAssert<@/sdcard/tests/xpc/head.js:67:21\nproto.report@resource://testing-common/Assert.jsm:233:10\nproto.ok@resource://testing-common/Assert.jsm:259:10\noneMoreLoop@test_tcp_control_channel.js:482:12\n_run_next_test@/sdcard/tests/xpc/head.js:1588:11\nrun@/sdcard/tests/xpc/head.js:735:9\n_do_main@/sdcard/tests/xpc/head.js:246:6\n_execute_test@/sdcard/tests/xpc/head.js:573:5\n@-e:1:1\n"},"stack":"_abort_failed_test@/sdcard/tests/xpc/head.js:791:20\ndo_report_result@/sdcard/tests/xpc/head.js:892:5\nAssert<@/sdcard/tests/xpc/head.js:67:21\nproto.report@resource://testing-common/Assert.jsm:233:10\nproto.ok@resource://testing-common/Assert.jsm:259:10\noneMoreLoop@test_tcp_control_channel.js:482:12\n_run_next_test@/sdcard/tests/xpc/head.js:1588:1
11-12 01:40:23.860 24108 24108 I Gecko   : 
11-12 01:40:23.860 24108 24108 I Gecko   : {"action":"log","time":1573522823860,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"exiting test"}
11-12 01:40:23.860 24108 24108 I Gecko   : 
11-12 01:40:23.860 24108 24108 I Gecko   : {"action":"log","time":1573522823860,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"(xpcshell/head.js) | test run_next_test 5 finished (2)"}
11-12 01:40:23.860 24108 24108 I Gecko   : 
11-12 01:40:23.860 24108 24108 I Gecko   : {"action":"log","time":1573522823860,"thread":null,"pid":null,"source":"xpcshell/head.js","level":"INFO","message":"\"CONSOLE_MESSAGE: (error) [JavaScript Error: \"uncaught exception: 2147500037\" {file: \"test_tcp_control_channel.js\" line: 480}]\""}
11-12 01:40:23.860 24108 24108 I Gecko   : -*- PresentationControlService.js: PresentationControlService - onStopListening: 2152398850
11-12 01:40:23.860 24108 24108 I Gecko   : -*- PresentationControlService.js: PresentationControlService - onStopListening: 2152398850
11-12 01:40:23.860 24108 24108 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onStopRequest: undefined with role: receiver
11-12 01:40:23.860 24108 24108 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - onStopRequest: undefined with role: sender
11-12 01:40:23.860 24108 24108 I Gecko   : -*- PresentationControlService.js: TCPControlChannel - notify closed with role: sender

Bug 1594735 upgraded the emulator and seems to have made this failure much less frequent on Android.

I believe we should disable the tests for now.

Priority: -- → P5
Whiteboard: [stockwell needswork:owner] → [stockwell disable-recommended see comment 42]
Assignee: nobody → apavel
Whiteboard: [stockwell disable-recommended see comment 42]
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d8c50a4827b2
disable test_tcp_control_channel.js on android r=hsinyi
Keywords: leave-open
Whiteboard: [stockwell disabled]
Assignee: apavel → nobody
Status: REOPENED → NEW
You need to log in before you can comment on or make changes to this bug.